/***************************************************************/
/*                  Drivers For Inter-Card 1                   */
/***************************************************************/
/*    Written : 23-04-1992                                     */
/*         By : Neil Johnson                                   */
/*        For : IBM PC & Compatibles                           */
/*   Language : Microsost C ( written in QuickC 2.5 )          */
/*    Version : 1.0                                            */
/***************************************************************/
/*                 Notes :-                                    */
/*                                                             */
/* 1) The global definition BASE_PORT must be defined before   */
/*    this code is included - it defines the hardware set      */
/*    base address of the Inter-Card 1                         */
/***************************************************************/

#include <conio.h>

/***********************/
/*   Function Bodies   */
/***********************/

unsigned int _GetSample ( unsigned char *block_ptr,
			  unsigned int block_size,
			  unsigned char delay )

   {
   unsigned char *data_ptr, delay_loop;
   unsigned int loop;

   data_ptr=block_ptr;

   if (block_size)
      {
      /* start conversion */
      outp ( BASE_PORT+1, 0 );
      /* begin sample loop */
      for (loop=0; loop<block_size; loop++)
	 {
	 *data_ptr = ( unsigned char) inp(BASE_PORT);
	 outp ( BASE_PORT+1, 0 );
	 data_ptr++;
	 for ( delay_loop=0; delay_loop<delay; delay_loop++ )
	    {
	    /* this is the delay loop */
	    }
	 }
      /* all done */
      return (loop);
      }
      else
	 return (-1);
   }


unsigned int _PlaySample ( unsigned char *block_ptr,
			   unsigned int block_size,
			   unsigned char delay )

   {
   unsigned char *data_ptr, delay_loop;
   unsigned int loop;

   data_ptr=block_ptr;

   if (block_size)
      {
      /* begin playback loop */
      for (loop=0; loop<block_size; loop++)
	 {
	 outp(BASE_PORT, *data_ptr);
	 data_ptr++;
	 for ( delay_loop=0; delay_loop<delay; delay_loop++ )
	    {
	    /* this is the delay loop */
	    }
	 }
      /* all done */
      return (loop);
      }
      else
	 return (-1);
   }




